Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoVlAtomExchangeQuadOp< EOT > Class Template Reference

Exchange Crossover using an AtomExchange. More...

`#include <eoVariableLengthCrossover.h>`

Inheritance diagram for eoVlAtomExchangeQuadOp< EOT >:

List of all members.

## Public Types
typedef EOT::AtomType | AtomType
## Public Member Functions
| eoVlAtomExchangeQuadOp (unsigned _Min, unsigned _Max, eoAtomExchange< AtomType > &_atomExchange)
| default ctor: requires bounds on number of genes + a rate
bool | operator() (EOT &_eo1, EOT &_eo2)
| The pure virtual function that needs to be implemented by the subclass.
virtual std::string | className () const
| the inherited className
## Private Attributes
unsigned | Min
unsigned | Max
eoAtomExchange< AtomType > & | atomExchange

## Detailed Description

### template<class EOT>
class eoVlAtomExchangeQuadOp< EOT >

Exchange Crossover using an AtomExchange.

Definition at line 89 of file eoVariableLengthCrossover.h.

The documentation for this class was generated from the following file:

- eoVariableLengthCrossover.h